import { useContext } from 'react';
import { ManageKycDeletionContext } from './ManageKycDeletionContext';

const useManageKycDeletionContext = () => {
  const context = useContext(ManageKycDeletionContext);

  if (!context) throw new Error('useManageKycDeletionContext must be used within AuthProvider');

  return context;
};

export { useManageKycDeletionContext };
